cURL
curl --request GET \ --url https://api.sandbox.saalal.com/v1/payments/{reference} \ --header 'Authorization: Bearer <token>'
{ "message": "payment", "statusCode": 200, "data": { "business": "BUSINESS_NAME", "customer": { "full_name": "John Doe", "email": "john@doe.com", "phone": "77XXXXXXX", "bank_id": "XX08XX0100163110648500003035", "bank_name": "YOUR_BANK_NAME", "bank_account_name": "YOUR_BANK_ACCOUNT_NAME" }, "slug": "d282e4a6-1fb6-4827-a6ae-a780263287d7", "reference": "d282e4a6-1fb6-4827-a6ae-a780263287d7", "kind": "payment", "network": "wave-sn", "amount": 1500, "status": "pendin", "expired_at": "2024-01-11T00:00:00.000Z", "meta": "<array>" } }
Documentation IndexFetch the complete documentation index at: https://docs.saalal.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.saalal.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
OK
"payment"
200
Show child attributes